Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.io
Class CompactionIterator.CompactedRow

    java.lang.Object
      org.apache.cassandra.io.CompactionIterator.CompactedRow

Enclosing class:
  CompactionIterator

    public static class CompactionIterator.CompactedRow

extends java.lang.Object

Field Summary
`DataOutputBuffer` | `buffer`
`DecoratedKey` | `key`

Constructor Summary
`CompactionIterator.CompactedRow(DecoratedKey key, DataOutputBuffer buffer)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### key

    public final DecoratedKey key

### buffer

    public final DataOutputBuffer buffer

Constructor Detail

### CompactionIterator.CompactedRow

    public CompactionIterator.CompactedRow(DecoratedKey key,
                                           DataOutputBuffer buffer)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation